Package org.apache.catalina.ha

## Interface ClusterMessage

All Superinterfaces:
  `Serializable`

All Known Subinterfaces:
  `SessionMessage`

All Known Implementing Classes:
  `ClusterMessageBase`, `FileMessage`, `SessionMessageImpl`, `UndeployMessage`

    public interface ClusterMessage
    extends Serializable

### Method Summary

All Methods Instance Methods Abstract Methods
`Member` `getAddress()`
`long` `getTimestamp()`
`String` `getUniqueId()`
`void` `setAddress​(Member member)`
`void` `setTimestamp​(long timestamp)`

### Method Detail

#### getAddress

    Member getAddress()

#### setAddress

    void setAddress​(Member member)

#### getUniqueId

    String getUniqueId()

#### getTimestamp

    long getTimestamp()

#### setTimestamp

    void setTimestamp​(long timestamp)